.app-list-item {
  font-size: 1.25rem;
}

.app-list-item button {
  width: 35px;
  height: 35px;
  margin: 3px;
  font-size: 17px;
  border: none;
  cursor: pointer;
}
.app-list-item button:focus {
    box-shadow: none;
    outline: none;
}
.app-list-item .btn-star {
    color: #FFD700;
    transition: all .2s linear;
}
.app-list-item .btn-star:hover {
    color: #fff;
    background-color: #FFD700;
}
.app-list-item .btn-trash {
    color: red;
    transition: all .2s linear;
}
.app-list-item .btn-trash:hover {
    color: white;
    background-color: red;
}
.app-list-item .fa-heart {
    width: 35px;
    height: 35px;
    text-align: center;
    line-height: 35px;
    font-size: 16px;
    color: red;
    transition: 0.3s all;
    transform: translateX(30px);
    opacity: 0;
}

.app-list-item-label {
  display: block;
  line-height: 35px;
  cursor: pointer;
  user-select: none;
  transition: 0.5s all;
}

.app-list-item.like .fa-heart {
    opacity: 1;
    transform: translateX(0px);
}

.app-list-item.important .app-list-item-label:after {
    content: "";
    display: block;
    width: 100%;
    height: 4px;
    background-color: #FFD700;
    animation: line .3s linear;
}

.app-list-item.important .btn-star {
    color: #fff;
    background-color: #FFD700;
}

@keyframes line {
    from {
        width: 0;
    }
    to {
        width: 100%;
    }
}
